# General-AI-Platform-Web
通用算法平台前端仓库  develop

### 生成代码调整
* ProFormSelect 选择控件 对应文案使用 common.please_select 默认可以使用 common.please_input

### remark
* 列表筛选表单配置统一使用renderFormItem配置，方便个性化处理
* 删除按钮颜色配色 统一将a标签换成Button  设置属性{ type="text" danger}
* 展示抽屉内容时需要有关闭按钮，排版需和谐
* 使用stepForm的时候，最后的提交写在最后一步的onfinish里面而不是总的stepForm里
* table操作栏按钮统一使用button，合理间距


### 具体实现
1. 筛选表单区： 列表在columns配置初始数据时，需要筛选的表单项统一使用renderFormItem属性，基于renderFormItem去配置表单项field, 【searchFormItemProps】属性统一配置自定义业务
{ 
    width="md" // 表单项宽度可以是数字 
    labelCol={{span: 4}} // 标签布局
    wrapperCol={{span: 22}} // 输入控件布局
}

2. 列表action区按钮个性化和操作确认调整为 统一将a标签换成Button  设置属性【actionInnerDeleteBtnProps】 
{ type="text" danger}

3. 列表action有多个按钮显示更多
暂时使用默认超过3个显示更多，如需统一处理或者权限控制下的按钮显示隐藏导致的按钮数量不一致，可根据需要独立封装TableActionComp

4. 列表多选固定在顶部
使用表格内容固定高度，溢出垂直方向可滚动

5. 列表可选时，首列需要固定
新增首列index栏位，设置{fixed: 'left'}可实现固定

6. 列表固定表头  scroll={{ y: 500 }}
批量选择确认按钮固定，列表头内容固定

7. 列表批量选择 tableAlertOptionRender
配置多选操作选项区


### git提交修饰
feat: 新功能
fix: bug修复
docs: 仅文档更改
style: 不影响代码含义的更改（空白、格式设置、缺失 分号等）
refactor: 既不修复bug也不添加特性的代码更改
perf: 改进性能的代码更改
test: 添加缺少的测试或更正现有测试
chore: 对构建过程或辅助工具和库（如文档）的更改（无法确认内容可使用）

### bug汇总
* 新增路由页面，默认该角色拥有查看权限，实际配置并没有（重新配置权限，又能正常访问该新增页面）
