/*
 * @Author: zhoux zhouxia@supervision.ltd
 * @Date: 2023-11-28 14:13:05
 * @LastEditors: zhoux zhouxia@supervision.ltd
 * @LastEditTime: 2023-11-28 14:16:48
 * @FilePath: \general-ai-platform-web\config\defaultIcon.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%A
 */

import { proFormItemStyleProps } from './defaultForm';

// 分步表单统一配置
export const proIconSelectWrapStyle: React.CSSProperties = {
  position: 'relative',
  width: proFormItemStyleProps.width + 48,
  background: 'red',
  left: 0,
};

export const proIconSelectStyle: React.CSSProperties = {
  position: 'absolute',
  left: '0',
  padding: 16,
  top: '5%',
  width: '94%',
  height: 500,
  zIndex: 9,
  boxShadow: '0px 4px 12px 0px rgba(0, 0, 0, 0.30)',
  background: '#fff',
  borderRadius: 4,
  overflowY: 'scroll',
};
