/*
 * @Author: zhoux zhouxia@supervision.ltd
 * @Date: 2023-12-08 10:26:34
 * @LastEditors: zhoux zhouxia@supervision.ltd
 * @LastEditTime: 2023-12-08 17:59:48
 * @FilePath: \general-ai-platform-web\src\locales\zh-CN\DCSDevice.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */

// 设备组
export const DCSDevice_group_list: { [key: string]: string } = {
    'DCSDeviceList.device_group.table.list.id': 'ID',
    'DCSDeviceList.device_group.table.list.name': '分组名称',
    'DCSDeviceList.device_group.table.list.code': '分组代码',
    'DCSDeviceList.device_group.table.list.address': '设备组地址',
    'DCSDeviceList.device_group.table.list.telephone': '电话',
    'DCSDeviceList.device_group.table.list.lon': '经度',
    'DCSDeviceList.device_group.table.list.lat': '纬度',
    'DCSDeviceList.device_group.table.list.managerName': '负责人',
    'DCSDeviceList.device_group.table.list.managerPhone': '负责人联系方式',
    'DCSDeviceList.device_group.table.list.isEnable': '是否启用',
    'DCSDeviceList.device_group.table.list.parentFkId': '父设备组',
    'DCSDeviceList.device_group.table.list.remark': '备注',
    'DCSDeviceList.device_group.table.list.createTime': '创建时间',
    'DCSDeviceList.device_group.table.list.updateTime': '更新时间',
    'DCSDeviceList.device_group.table.rule.required.name': '分组名称为必填项',
    'DCSDeviceList.device_group.table.rule.required.code': '分组代码为必填项',
    'DCSDeviceList.device_group.table.rule.required.managerName': '负责人姓名为必填项',
    'DCSDeviceList.device_group.table.rule.required.managerPhone': '负责人联系方式为必填项',
    'DCSDeviceList.device_group.table.rule.required.parentFkId': '父节点为必填项',
    'DCSDeviceList.device_group.table.list.add': '新建设备分组',
    'DCSDeviceList.device_group.table.list.update': '编辑设备分组',
    'DCSDeviceList.device_group.table.list.treeAdd': '新建',
    'DCSDeviceList.device_group.table.list.create_son': '添加子节点',
    'DCSDeviceList.device_group.table.list.editor': '编辑',
}

// 设备类别
export const DCSDevice_category_list: { [key: string]: string } = {
    'DCSDeviceList.device_category.table.list.id': 'ID',
    'DCSDeviceList.device_category.table.list.name': '类别名称',
    'DCSDeviceList.device_category.table.list.code': '类别代码',
    'DCSDeviceList.device_category.table.list.remark': '备注',
    'DCSDeviceList.device_category.table.list.createTime': '创建时间',
    'DCSDeviceList.device_category.table.list.updateTime': '更新时间',
    'DCSDeviceList.device_category.table.rule.required.name': '类别名称为必填项',
    'DCSDeviceList.device_category.table.rule.required.code': '类别代码为必填项',
    'DCSDeviceList.device_category.table.list.add': '新建设备类别',
    'DCSDeviceList.device_category.table.list.update': '编辑设备类别',
    'DCSDeviceList.device_category.table.list.editor': '编辑',
}

// 设备列表
export const DCSDevice_list: { [key: string]: string } = {
    'DCSDeviceList.device.table.list.id': 'ID',
    'DCSDeviceList.device.table.list.name': '设备名称',
    'DCSDeviceList.device.table.list.code': '设备代码',
    'DCSDeviceList.device.table.list.sort': '设备分类',
    'DCSDeviceList.device.table.list.state': '设备状态',
    'DCSDeviceList.device.table.list.IP': '设备IP',
    'DCSDeviceList.device.table.list.position': '位置',
    'DCSDeviceList.device.table.list.param': '设备参数',
    'DCSDeviceList.device.table.list.spec': '设备规格',
    'DCSDeviceList.device.table.list.categoryFkId': '设备类别',
    'DCSDeviceList.device.table.list.groupFkId': '设备分组',
    'DCSDeviceList.device.table.list.isEnable': '是否启用',
    'DCSDeviceList.device.table.list.remark': '备注',
    'DCSDeviceList.device.table.list.createTime': '创建时间',
    'DCSDeviceList.device.table.list.updateTime': '更新时间',
    'DCSDeviceList.device.table.rule.required.name': '设备名称为必填项',
    'DCSDeviceList.device.table.rule.required.code': '设备代码为必填项',
    'DCSDeviceList.device.table.list.add': '新建设备',
    'DCSDeviceList.device.table.list.update': '编辑设备',
    'DCSDeviceList.device_category.table.list.editor': '编辑',
}

// 设备状态
export const DCSDevice_status: { [key: string]: string } = {
    'DCSDeviceList.deviceStatus.detailModel.name': '设备详情',
    'DCSDeviceList.deviceStatus.detailModel.baseInfo': '设备信息',
    'DCSDeviceList.deviceStatus.detailModel.log': '设备日志',
    'DCSDeviceList.deviceStatus.detailModel.logTable.deviceName': '设备名称',
    'DCSDeviceList.deviceStatus.detailModel.logTable.deviceID': '设备ID',
    'DCSDeviceList.deviceStatus.detailModel.logTable.deviceCat': '设备类别',
    'DCSDeviceList.deviceStatus.detailModel.logTable.deviceIP': '设备IP',
    'DCSDeviceList.deviceStatus.detailModel.logTable.deviceTime': '运行时长',
}  