/*
 * @Author: zhoux zhouxia@supervision.ltd
 * @Date: 2023-11-01 13:56:33
 * @LastEditors: zhoux zhouxia@supervision.ltd
 * @LastEditTime: 2023-11-14 14:59:00
 * @FilePath: \general-ai-platform-web\src\locales\zh-CN\resource.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
export const algorithm_model: { [key: string]: string } = {
  'resource.algorithm_model.table.list.defaultVersionFkId': '默认版本',
  'resource.algorithm_model.table.list.id': 'ID',
  'resource.algorithm_model.table.list.name': '模型名称',
  'resource.algorithm_model.table.list.categoryFkId': '模型类别',
  'resource.algorithm_model.table.list.remark': '备注',
  'resource.algorithm_model.table.list.createTime': '创建时间',
  'resource.algorithm_model.table.list.updateTime': '更新时间',
  'resource.algorithm_model.table.rule.required.name': '模型名称为必填项',
  'resource.algorithm_model.table.rule.required.categoryFkId': '模型类别为必填项',
  'resource.algorithm_model.table.list.add': '新建模型',
  'resource.algorithm_model.table.list.update': '更新模型',
};
export const business_image: { [key: string]: string } = {
  'resource.business_image.table.list.id': 'ID',
  'resource.business_image.table.list.name': '镜像名称',
  'resource.business_image.table.list.version': '镜像版本',
  'resource.business_image.table.list.projectFkId': '项目',
  'resource.business_image.table.list.path': '镜像地址',
  'resource.business_image.table.list.startCode': '启动代码',
  'resource.business_image.table.list.config': '配置',
  'resource.business_image.table.list.configHash': '配置hash',
  'resource.business_image.table.list.remark': '备注',
  'resource.business_image.table.list.createTime': '创建时间',
  'resource.business_image.table.list.updateTime': '更新时间',
  'resource.business_image.table.rule.required.name': '镜像名称为必填项',
  'resource.business_image.table.rule.required.version': '镜像版本为必填项',
  'resource.business_image.table.rule.required.projectFkId': '项目为必填项',
  'resource.business_image.table.list.add': '新建业务镜像',
  'resource.business_image.table.list.update': '更新业务镜像',
};
export const model_category: { [key: string]: string } = {
  'resource.model_category.table.list.id': 'ID',
  'resource.model_category.table.list.name': '类别名称',
  'resource.model_category.table.list.code': '类别代码',
  'resource.model_category.table.list.remark': '备注',
  'resource.model_category.table.list.createTime': '创建时间',
  'resource.model_category.table.list.updateTime': '更新时间',
  'resource.model_category.table.rule.required.name': '类别名称为必填项',
  'resource.model_category.table.rule.required.code': '类别代码为必填项',
  'resource.model_category.table.list.add': '新建模型类别',
  'resource.model_category.table.list.update': '更新模型类别',
};
export const model_image: { [key: string]: string } = {
  'resource.model_image.table.list.id': 'ID',
  'resource.model_image.table.list.name': '镜像名称',
  'resource.model_image.table.list.modelVersionFkId': '模型版本',
  'resource.model_image.table.list.path': '镜像地址',
  'resource.model_image.table.list.startCode': '启动代码',
  'resource.model_image.table.list.remark': '备注',
  'resource.model_image.table.list.createTime': '创建时间',
  'resource.model_image.table.list.updateTime': '更新时间',
  'resource.model_image.table.rule.required.name': '镜像名称为必填项',
  'resource.model_image.table.rule.required.modelVersionFkId': '模型版本为必填项',
  'resource.model_image.table.list.add': '新建模型镜像',
  'resource.model_image.table.list.update': '更新模型镜像',
};
export const model_version: { [key: string]: string } = {
  'resource.model_version.table.list.status': '状态',
  'resource.model_version.table.list.id': 'ID',
  'resource.model_version.table.list.modelFkId': '模型',
  'resource.model_version.table.list.version': '模型版本',
  'resource.model_version.table.list.path': '模型地址',
  'resource.model_version.table.list.startCode': '启动代码',
  'resource.model_version.table.list.isEnable': '是否启用',
  'resource.model_version.table.list.remark': '备注',
  'resource.model_version.table.list.createTime': '创建时间',
  'resource.model_version.table.list.updateTime': '更新时间',
  'resource.model_version.table.rule.required.modelFkId': '模型为必填项',
  'resource.model_version.table.rule.required.path': '模型地址为必填项',
  'resource.model_version.table.list.add': '新建模型版本',
  'resource.model_version.table.list.update': '更新模型版本',
};
