import { Button } from 'antd';
import online from '../../../../../public/icons/online.svg'
import offline from '../../../../../public/icons/offline.svg'
import fault from '../../../../../public/icons/fault.svg'
import running from '../../../../../public/icons/running.svg'


export type ButtonStateProps = {
    values: any
};

  
const ButtonState: React.FC<ButtonStateProps> = (props) => {
    return (
        <Button
          type="link"
          style={{
            color: props.values !== '-' ? '#52C41A' : '#999999'
          }}
        >
          <img src={props.values !== '-' ? online : offline}/>
          {props.values}
        </Button>
    )
}

export default ButtonState;