import { history } from '@umijs/max';
import { Button, Result } from 'antd';
import React from 'react';

const HiddenPage: React.FC = () => (
  <Result
    status="403"
    title="陆续开放中"
    subTitle="功能陆续开放中，敬请期待！"
    extra={
      <Button type="primary" onClick={() => history.push('/welcome')}>
        返回主页
      </Button>
    }
  />
);

export default HiddenPage;
