import { FormattedMessage} from '@umijs/max';
import React from "react";
export const DepartmentColumns= [


  {
    title: (<FormattedMessage
      id="system.department.table.list.id"
      defaultMessage="id"/>),
    dataIndex: "id",
  },

  {
    title: (<FormattedMessage
      id="system.department.table.list.name"
      defaultMessage="$$$"/>),
    dataIndex: "name",
  },
  {
    title: (<FormattedMessage
      id="system.department.table.list.code"
      defaultMessage="$$$"/>),
    dataIndex: "code",
  },
  {
    title: (<FormattedMessage
      id="system.department.table.list.sort"
      defaultMessage="$$$"/>),
    dataIndex: "sort",
  },


  {
    title: (<FormattedMessage
      id="system.department.table.list.status"
      defaultMessage="$$$"/>),
    dataIndex: "status",
    valueEnum: {
      true: {
        text: (<FormattedMessage
          id="common.yes"
          defaultMessage="$$"/>),
        status: 'Success'
      },
      false: {
        text: (<FormattedMessage
          id="common.no"
          defaultMessage="$$"/>),
        status: 'Error'
      }
    },
  },
];
