/*
 * @Author: zhoux zhouxia@supervision.ltd
 * @Date: 2023-11-07 10:57:28
 * @LastEditors: zhoux zhouxia@supervision.ltd
 * @LastEditTime: 2023-11-07 10:57:32
 * @FilePath: \general-ai-platform-web\src\testData\SettingAIgorithm.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
const data = [
    '苏胜天人物识别算法',
    '苏胜天交警识别识别',
    '苏胜天车牌识别算法',
    '苏胜天语音识别算法',
    '苏胜天轨迹识别算法',
  ].map((item) => ({
    title: '苏胜天算法模型',
    subTitle: <Tag color="#5BD8A6">经典算法</Tag>,
    actions: [<a key="run">模型版本选择</a>],
    avatar: 'https://gw.alipayobjects.com/zos/antfincdn/UCSiy1j6jx/xingzhuang.svg',
    content: (
      <div
        style={{
          display: 'flex',
          flexDirection: 'column',
          alignItems: 'center',
          width: '100%',
        }}
      >
        <div style={{ fontSize: '24px', fontWeight: 'bold' }}>{item}</div>
        <div>
          <img src="/images/model.png" alt="" style={{ width: '160px' }} />
        </div>
        <div>
          版本：<span style={{ fontSize: 18, fontWeight: 'bold' }}>V1.2.4</span>
        </div>
        <div>
          更新时间：<span style={{ fontSize: 18, fontWeight: 'bold' }}>2022-12-12</span>
        </div>
      </div>
    ),
  }));