import {FormattedMessage} from '@umijs/max';
import React from "react";

export const PostColumns = [{
  title: (<FormattedMessage
    id="system.post.table.list.id"
    defaultMessage="$$$"/>),
  dataIndex: "id",
}, {
  title: (<FormattedMessage
    id="system.post.table.list.name"
    defaultMessage="$$$"/>),
  dataIndex: "name",
}, {
  title: (<FormattedMessage
    id="system.post.table.list.code"
    defaultMessage="$$$"/>),
  dataIndex: "sort",
}, {
  title: (<FormattedMessage
    id="system.post.table.list.sort"
    defaultMessage="$$$"/>),
  dataIndex: "sort",
}, {
  title: (<FormattedMessage
    id="system.post.table.list.status"
    defaultMessage="$$$"/>),
  dataIndex: "status",
  valueEnum: {
    true: {
      text: (<FormattedMessage
        id="common.yes"
        defaultMessage="$$"/>),
      status: 'Success'
    },
    false: {
      text: (<FormattedMessage
        id="common.no"
        defaultMessage="$$"/>),
      status: 'Error'
    }
  },
},]
