// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 创建DictionaryDetail POST /sysDictionaryDetail/createDictionaryDetail */
export async function postSysDictionaryDetailCreateDictionaryDetail(
  body: API.DictionaryDetail,
  options?: { [key: string]: any },
) {
  return request<API.Response & { msg?: string }>(
    `/api/v1/sysDictionaryDetail/createDictionaryDetail`,
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    },
  );
}

/** 删除DictionaryDetail DELETE /sysDictionaryDetail/deleteDictionaryDetail */
export async function deleteSysDictionaryDetailDeleteDictionaryDetail(
  body: API.DictionaryDetail,
  options?: { [key: string]: any },
) {
  return request<API.Response & { msg?: string }>(
    `/api/v1/sysDictionaryDetail/deleteDictionaryDetail`,
    {
      method: 'DELETE',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    },
  );
}

/** 用id查询DictionaryDetail GET /sysDictionaryDetail/findDictionaryDetail */
export async function getSysDictionaryDetailFindDictionaryDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getSysDictionaryDetailFindDictionaryDetailParams,
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: Record<string, any>; msg?: string }>(
    `/api/v1/sysDictionaryDetail/findDictionaryDetail`,
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    },
  );
}

/** 分页获取DictionaryDetail列表 GET /sysDictionaryDetail/getDictionaryDetailList */
export async function getSysDictionaryDetailGetDictionaryDetailList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getSysDictionaryDetailGetDictionaryDetailListParams,
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(
    `/api/v1/sysDictionaryDetail/getDictionaryDetailList`,
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    },
  );
}

/** 更新DictionaryDetail PUT /sysDictionaryDetail/updateDictionaryDetail */
export async function putSysDictionaryDetailUpdateDictionaryDetail(
  body: API.DictionaryDetail,
  options?: { [key: string]: any },
) {
  return request<API.Response & { msg?: string }>(
    `/api/v1/sysDictionaryDetail/updateDictionaryDetail`,
    {
      method: 'PUT',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    },
  );
}
